nkf_state_t Struct Reference

## Data Fields

nkf_buf_t * | std_gc_buf
nkf_char | broken_state
nkf_buf_t * | broken_buf
nkf_char | mimeout_state
nkf_buf_t * | nfc_buf

## Detailed Description

Definition at line 3007 of file nkf.c.

## Field Documentation

nkf_buf_t* nkf_state_t::broken_buf

Definition at line 3010 of file nkf.c.

Referenced by broken_getc(), broken_ungetc(), and nkf_state_init().

nkf_char nkf_state_t::broken_state

Definition at line 3009 of file nkf.c.

Referenced by broken_getc(), and nkf_state_init().

nkf_char nkf_state_t::mimeout_state

Definition at line 3011 of file nkf.c.

Referenced by eof_mime(), mimeout_addchar(), and nkf_state_init().

nkf_buf_t* nkf_state_t::nfc_buf

Definition at line 3012 of file nkf.c.

Referenced by nfc_getc(), and nkf_state_init().

nkf_buf_t* nkf_state_t::std_gc_buf

Definition at line 3008 of file nkf.c.

Referenced by nkf_state_init(), std_getc(), and std_ungetc().

The documentation for this struct was generated from the following file:

- ext/nkf/nkf-utf8/nkf.c